<!DOCTYPE HTML>
<html xmlns:th="http://www.thymeleaf.org" lang="en">
    <head>
        <title>All History Records</title>
    </head>
    <body>
        <table style="width: 75%; border-spacing: 0;">
            <tr>
                <th style="border-bottom: 1px solid gray; border-right: 1px solid gray; text-align: center;">Date</th>
                <th style="border-bottom: 1px solid gray; border-right: 1px solid gray; text-align: center;">Operation</th>
                <th style="border-bottom: 1px solid gray; border-right: 1px solid gray; text-align: center;">Algorithm</th>
                <th style="border-bottom: 1px solid gray; border-right: 1px solid gray; text-align: center;">Input</th>
            </tr>
            <th:block th:each="record : ${historyList}">
                <tr>
                    <td th:text="${record.getDate()}" style="border-bottom: 1px solid gray; border-right: 1px solid gray; text-align: center;"></td>
                    <td th:text="${record.getOperation()}" style="border-bottom: 1px solid gray; border-right: 1px solid gray; text-align: center;"></td>
                    <td th:text="${record.getAlgorithm()}" style="border-bottom: 1px solid gray; border-right: 1px solid gray; text-align: center;"></td>
                    <td th:text="${record.getInput()}" style="border-bottom: 1px solid gray; border-right: 1px solid gray; text-align: center;"></td>
                </tr>
            </th:block>
        </table>
    </body>
</html>
